Package com.macrofocus.high_d.statistics

# Class PresentationStatisticsDataFrame<Row,C>

java.lang.Object
com.macrofocus.molap.dataframe.AbstractDataFrame<StatisticsDataFrame.Stat,C,Object>
com.macrofocus.high_d.statistics.PresentationStatisticsDataFrame<Row,C>

All Implemented Interfaces:
  `com.macrofocus.molap.dataframe.DataFrame<StatisticsDataFrame.Stat,C,Object>`

public class PresentationStatisticsDataFrame<Row,C> extends com.macrofocus.molap.dataframe.AbstractDataFrame<StatisticsDataFrame.Stat,C,Object>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `com.macrofocus.molap.dataframe.AbstractDataFrame.ColumnSeries`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PresentationStatisticsDataFrame(com.macrofocus.crossplatform.CPFactory factory, StatisticsDataFrame dataFrame, com.macrofocus.high_d.axis.group.AxisGroupModel<Row,C> axisGroupModel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getColumnClass(C columnIndex)`
  `int`
  `getColumnCount()`
  `com.macrofocus.molap.index.UniqueIndex<C>`
  `getColumnIndex()`
  `String`
  `getColumnName(C column)`
  `com.macrofocus.molap.series.Series<C,?>`
  `getRow(StatisticsDataFrame.Stat integer)`
  `Class`
  `getRowClass(StatisticsDataFrame.Stat integer)`
  `int`
  `getRowCount()`
  `com.macrofocus.molap.index.UniqueIndex<StatisticsDataFrame.Stat>`
  `getRowIndex()`
  `Object`
  `getValueAt(StatisticsDataFrame.Stat rowIndex, C columnIndex)`
  `com.macrofocus.molap.dataframe.DataFrame`
  `join(com.macrofocus.molap.series.Series series, Object[] cs)`

  ### Methods inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `addDataFrameListener, addWeakDataFrameListener, aggregate, aggregate, append, appendAndReindex, benchmark, columns, filter, getCentroid, getColumn, getColumnAddress, getColumnKey, getConstant, getCount, getCountDistinct, getCountDistinctWithNull, getCube, getDataFrameAggregation, getDistributiveStatistics, getFirst, getFirstQuartile, getMax, getMean, getMedian, getMin, getNotNullSum, getPercentileQuartile, getRandom, getRowAddress, getRowKey, getStatistics, getStdDev, getSum, getThirdQuartile, getUnivariateStatistics, getVariance, getVarianceByPopulation, getWeightedMean, getWeightedSum, notifyDataFrameChanged, orderRows, print, print, printSchema, reindexColumns, reindexRows, reindexRowsDefault, reindexRowsUsingColumn, reindexRowsUsingColumnDefault, reindexRowsUsingColumns, remapColumns, removeColumns, removeDataFrameListener, removeDataFrameListeners, removeDuplicates, rows`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PresentationStatisticsDataFrame

    public PresentationStatisticsDataFrame(com.macrofocus.crossplatform.CPFactory factory, StatisticsDataFrame dataFrame, com.macrofocus.high_d.axis.group.AxisGroupModel<Row,C> axisGroupModel)

- ## Method Details

  - ### getColumnName

    public String getColumnName(C column)
    Specified by:
      `getColumnName` in interface `com.macrofocus.molap.dataframe.DataFrame<StatisticsDataFrame.Stat,C,Object>`
    Overrides:
      `getColumnName` in class `com.macrofocus.molap.dataframe.AbstractDataFrame<StatisticsDataFrame.Stat,C,Object>`

  - ### getColumnClass

    public Class<?> getColumnClass(C columnIndex)

  - ### getRowCount

    public int getRowCount()
    Specified by:
      `getRowCount` in interface `com.macrofocus.molap.dataframe.DataFrame<StatisticsDataFrame.Stat,C,Object>`
    Overrides:
      `getRowCount` in class `com.macrofocus.molap.dataframe.AbstractDataFrame<StatisticsDataFrame.Stat,C,Object>`

  - ### getColumnCount

    public int getColumnCount()
    Specified by:
      `getColumnCount` in interface `com.macrofocus.molap.dataframe.DataFrame<StatisticsDataFrame.Stat,C,Object>`
    Overrides:
      `getColumnCount` in class `com.macrofocus.molap.dataframe.AbstractDataFrame<StatisticsDataFrame.Stat,C,Object>`

  - ### getValueAt

    public Object getValueAt(StatisticsDataFrame.Stat rowIndex, C columnIndex)

  - ### getRowClass

    public Class getRowClass(StatisticsDataFrame.Stat integer)

  - ### getRow

    public com.macrofocus.molap.series.Series<C,?> getRow(StatisticsDataFrame.Stat integer)

  - ### getRowIndex

    public com.macrofocus.molap.index.UniqueIndex<StatisticsDataFrame.Stat> getRowIndex()

  - ### getColumnIndex

    public com.macrofocus.molap.index.UniqueIndex<C> getColumnIndex()

  - ### join

    public com.macrofocus.molap.dataframe.DataFrame join(com.macrofocus.molap.series.Series series, Object[] cs)